import { IsString, IsNotEmpty, IsNumber } from 'class-validator'

export class CreateTestTaskDto {
  @IsNumber()
  @IsNotEmpty({ message: 'agentId不能为空' })
  agentId: number

  @IsString()
  @IsNotEmpty({ message: 'moduleId不能为空' })
  moduleId: string

  @IsNumber()
  @IsNotEmpty({ message: 'evaluate不能为空' })
  evaluate: number
}

export class GetTestTaskListDto {
  @IsNumber()
  @IsNotEmpty({ message: 'pageNum不能为空' })
  pageNum: number

  @IsNumber()
  @IsNotEmpty({ message: 'pageSize不能为空' })
  pageSize: number
}

export class StopTestTaskDto {
  @IsNumber()
  @IsNotEmpty({ message: 'taskId不能为空' })
  taskId: number
}

export class ResumeTestTaskDto {
  @IsNumber()
  @IsNotEmpty({ message: 'taskId不能为空' })
  taskId: number
}

export class GetTestTaskConversationsDto {
  @IsNumber()
  @IsNotEmpty({ message: 'taskId不能为空' })
  taskId: number

  @IsNumber()
  @IsNotEmpty({ message: 'pageNum不能为空' })
  pageNum: number

  @IsNumber()
  @IsNotEmpty({ message: 'pageSize不能为空' })
  pageSize: number
}
