import { ServiceResponse } from '../response/response.interface'

export interface IChatManagementService {
  getStaffSessionSummary(
    staffId?: string,
    status?: string,
    page?: number,
    size?: number
  ): Promise<ServiceResponse<StaffSummary[]>>

  getStaffList(
    page?: number,
    size?: number
  ): Promise<ServiceResponse<ChatStaff[]>>

  getStaffSessionList(
    staffId: string,
    page?: number,
    pageSize?: number
  ): Promise<ServiceResponse<StaffSession[]>>

  getConversationList(
    customerId: string,
    staffId: string,
    status?: number,
    page?: number,
    size?: number
  ): Promise<ServiceResponse<ChatConversation[]>>
}
