export default [
  `
  SELECT  a.advertiserid
        ,sum(曝光次数) as 曝光次数
        ,sum(点击次数) as 点击次数
        ,SUM(目标转化量) AS 转化量
        ,SUM(包装消耗次数) AS 收入
FROM    (
            SELECT  a.advertiserid
                    ,d.advertiser_code
                    ,d.name 
                    ,COUNT(CASE    WHEN businesstype = 'adView' THEN a.pqtid END) AS 曝光次数
                    ,COUNT(CASE    WHEN businesstype = 'adClick' THEN a.pqtid END) AS 点击次数
                    ,COUNT(DISTINCT c.pqtid) AS 目标转化量
                    ,SUM(t.packagecost) as 包装消耗次数
            FROM    loghubods.ad_action_log_own a
            LEFT JOIN loghubods.advertiser d
            ON      a.advertiserid = d.id 
            LEFT JOIN   (
                            SELECT  DISTINCT pqtid
                                    ,eventtype
                            FROM    loghubods.ad_action_log_conv_flow
                            WHERE   year || month || day = '\${bizdate}'
                        ) c
            ON      a.pqtid = c.pqtid

            LEFT JOIN   (
                            SELECT  ad_id
                                    ,ad_code
                                    ,targeting_conversion
                            FROM    loghubods.ad_config
                            WHERE   is_delete = 0
                        ) g
            ON      a.adid = g.ad_id
            LEFT JOIN   (
                            SELECT  pqtid
                                    ,packageclick
                                    ,packagecost
                                    ,coefficient
                            FROM    loghubods.ad_platform_package_cost_per5min
                            WHERE   dt REGEXP '\${bizdate}'
                        ) t
            ON      a.pqtid = t.pqtid
            and a.businesstype = 'adClick'
            WHERE   a.dt = '\${bizdate}'
            AND     a.ownadsystemtype = 'ownPlatform'
            GROUP BY a.advertiserid
                     ,d.advertiser_code
                     ,d.name
        ) a
GROUP BY a.advertiserid
  `,

  `
  SELECT  a.advertiserid
                    ,d.advertiser_code
                    ,d.name 
                    ,COUNT(CASE    WHEN businesstype = 'adView' THEN a.pqtid END) AS 曝光次数 
                    ,COUNT(CASE    WHEN businesstype = 'adClick' THEN a.pqtid END) AS 点击次数 
                    ,sum(CASE    WHEN businesstype = 'adClick'
                                        AND eventtype IS NOT NULL
                                        AND eventtype = g.targeting_conversion THEN 1
                                    WHEN eventtype IS NULL THEN 0
                            END )AS 转化量
                    ,sum(t.packagecost) as 收入
            FROM    loghubods.ad_action_log_own a
            LEFT JOIN loghubods.advertiser d
            ON      a.advertiserid = d.id 
            LEFT JOIN   (
                            SELECT  DISTINCT pqtid
                                    ,eventtype
                            FROM    loghubods.ad_action_log_conv_flow
                            WHERE   year || month || day = '\${bizdate}'
                        ) c
            ON      a.pqtid = c.pqtid
            LEFT JOIN   (
                            SELECT  ad_id
                                    ,ad_code
                                    ,targeting_conversion
                            FROM    loghubods.ad_config
                            WHERE   is_delete = 0
                        ) g
            ON      a.adid = g.ad_id
            LEFT JOIN   (
                            SELECT  pqtid
                                    ,packageclick
                                    ,packagecost
                                    ,coefficient
                            FROM    loghubods.ad_platform_package_cost_per5min
                            WHERE   dt REGEXP '\${bizdate}'
                        ) t
            ON      a.pqtid = t.pqtid
            and a.businesstype = 'adClick'
            WHERE   a.dt = '\${bizdate}'
            AND     a.ownadsystemtype = 'ownPlatform'
            GROUP BY a.advertiserid
                     ,d.advertiser_code
                     ,d.name
  `
]
